> For the complete documentation index, see [llms.txt](https://developer.jylo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.jylo.ai/api-reference/projects/project-analytics.md).

# Project Analytics

## Get credit breakdown for a project.

> Retrieves a breakdown of credits for a specific project.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Models.Analytics.FullResourceAnalysisModel":{"type":"object","properties":{"projectName":{"type":"string","nullable":true},"allAssistants":{"$ref":"#/components/schemas/Jylo.Projects.Models.Analytics.AssistantCreditAnalysisModel"},"flowCredits":{"type":"number","format":"double"},"flowJobs":{"type":"integer","format":"int32"},"credits":{"type":"number","format":"double"},"publicProjectIdentifier":{"type":"string","format":"uuid"},"totalCredits":{"type":"number","format":"double"},"totalJobs":{"type":"integer","format":"int32"},"deleted":{"type":"string","format":"date-time","nullable":true},"ocrPageCount":{"type":"integer","format":"int32"},"layoutPageCount":{"type":"integer","format":"int32"},"pageCount":{"type":"integer","format":"int32"},"ocrCreditsCost":{"type":"number","format":"double"},"layoutCreditsCost":{"type":"number","format":"double"},"fileCreditsCost":{"type":"number","format":"double"}},"additionalProperties":false},"Jylo.Projects.Models.Analytics.AssistantCreditAnalysisModel":{"type":"object","properties":{"credits":{"type":"number","format":"double"},"jobs":{"type":"integer","format":"int32"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/analytics/credit-breakdown":{"get":{"tags":["Project Analytics"],"summary":"Get credit breakdown for a project.","description":"Retrieves a breakdown of credits for a specific project.","parameters":[{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Analytics.FullResourceAnalysisModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Analytics.FullResourceAnalysisModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Analytics.FullResourceAnalysisModel"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get latest balance.

> Retrieves the latest balance for the organization.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Integrations.Billing.Models.BillingBalanceReadModel":{"required":["availableCredits","credits"],"type":"object","properties":{"availableCredits":{"type":"number","format":"double"},"credits":{"type":"number","format":"double"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/balance/latest":{"get":{"tags":["Project Analytics"],"summary":"Get latest balance.","description":"Retrieves the latest balance for the organization.","responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Billing.Models.BillingBalanceReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Billing.Models.BillingBalanceReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Billing.Models.BillingBalanceReadModel"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get project analytics.

> Retrieves project analytics for the organization.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PaginationList.ProjectAnalyticsModel":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Models.ProjectAnalyticsModel"},"nullable":true},"totalCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.Projects.Core.Models.ProjectAnalyticsModel":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"resourceOwnerId":{"type":"string","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember"},"chatCount":{"type":"integer","format":"int32"},"chatCredits":{"type":"number","format":"double"},"flowCount":{"type":"integer","format":"int32"},"flowCredits":{"type":"number","format":"double"},"jobCount":{"type":"integer","format":"int32"},"totalCredits":{"type":"number","format":"double"},"deleted":{"type":"boolean"},"id":{"type":"integer","format":"int32"},"ocrPageCount":{"type":"integer","format":"int32"},"layoutPageCount":{"type":"integer","format":"int32"},"pageCount":{"type":"integer","format":"int32"},"ocrCreditsCost":{"type":"number","format":"double"},"layoutCreditsCost":{"type":"number","format":"double"},"fileCreditsCost":{"type":"number","format":"double"}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember":{"required":["id","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"picture":{"type":"string","nullable":true},"roles":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.Role"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.Role":{"required":["id","name"],"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/analytics":{"get":{"tags":["Project Analytics"],"summary":"Get project analytics.","description":"Retrieves project analytics for the organization.","parameters":[{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"pageNumber","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"searchText","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/PaginationList.ProjectAnalyticsModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/PaginationList.ProjectAnalyticsModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/PaginationList.ProjectAnalyticsModel"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Export project analytics as Excel.

> Exports all project analytics for the organization as an Excel file.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/analytics/export":{"get":{"tags":["Project Analytics"],"summary":"Export project analytics as Excel.","description":"Exports all project analytics for the organization as an Excel file.","responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"string","format":"binary"}},"application/json":{"schema":{"type":"string","format":"binary"}},"text/json":{"schema":{"type":"string","format":"binary"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get assistant analytics.

> Retrieves assistant analytics for the organization.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PaginationList.AssistantAnalyticsModel":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Models.AssistantAnalyticsModel"},"nullable":true},"totalCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.Projects.Core.Models.AssistantAnalyticsModel":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"dateModified":{"type":"string","format":"date-time","nullable":true},"name":{"type":"string","nullable":true},"resourceOwnerId":{"type":"string","nullable":true},"userIds":{"type":"array","items":{"type":"string"},"nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember"},"users":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember"},"nullable":true},"documentCount":{"type":"integer","format":"int32"},"totalFileSizeBytes":{"type":"integer","format":"int64"},"promptCount":{"type":"integer","format":"int32"},"credits":{"type":"number","format":"double"},"deleted":{"type":"boolean"},"projectName":{"type":"string","nullable":true},"projectObjectIdentifier":{"type":"string","format":"uuid"},"estimatedTokenCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember":{"required":["id","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"picture":{"type":"string","nullable":true},"roles":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.Role"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.Role":{"required":["id","name"],"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/assistants/analytics":{"get":{"tags":["Project Analytics"],"summary":"Get assistant analytics.","description":"Retrieves assistant analytics for the organization.","parameters":[{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"pageNumber","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"searchText","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/PaginationList.AssistantAnalyticsModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/PaginationList.AssistantAnalyticsModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/PaginationList.AssistantAnalyticsModel"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Export assistant analytics as Excel.

> Exports all assistant analytics for the organization as an Excel file.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/assistants/analytics/export":{"get":{"tags":["Project Analytics"],"summary":"Export assistant analytics as Excel.","description":"Exports all assistant analytics for the organization as an Excel file.","responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"string","format":"binary"}},"application/json":{"schema":{"type":"string","format":"binary"}},"text/json":{"schema":{"type":"string","format":"binary"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get analytics for the current user.

> Returns the credit and resource usage summary for the currently authenticated user.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Core.Entities.Analytics.ResourceSummary":{"type":"object","properties":{"reviewJobs":{"type":"integer","format":"int32"},"reviewCredits":{"type":"number","format":"double"},"chat":{"$ref":"#/components/schemas/Jylo.Projects.Core.Entities.BillingService.ChatCreditAnalysis"},"conversation":{"$ref":"#/components/schemas/Jylo.Projects.Core.Entities.BillingService.ChatCreditAnalysis"},"chatDocuments":{"$ref":"#/components/schemas/Jylo.Projects.Core.Entities.BillingService.ChatCreditAnalysis"},"chatTextAnalysis":{"$ref":"#/components/schemas/Jylo.Projects.Core.Entities.BillingService.ChatCreditAnalysis"},"totalCredits":{"type":"number","format":"double"},"totalJobs":{"type":"integer","format":"int32"},"ocrPageCount":{"type":"integer","format":"int32"},"layoutPageCount":{"type":"integer","format":"int32"},"pageCount":{"type":"integer","format":"int32"},"ocrCreditsCost":{"type":"number","format":"double"},"layoutCreditsCost":{"type":"number","format":"double"},"fileCreditsCost":{"type":"number","format":"double"}},"additionalProperties":false},"Jylo.Projects.Core.Entities.BillingService.ChatCreditAnalysis":{"type":"object","properties":{"credits":{"type":"number","format":"double"},"jobs":{"type":"integer","format":"int32"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/admin/current-user":{"get":{"tags":["Project Analytics"],"summary":"Get analytics for the current user.","description":"Returns the credit and resource usage summary for the currently authenticated user.","responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Core.Entities.Analytics.ResourceSummary"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Core.Entities.Analytics.ResourceSummary"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Core.Entities.Analytics.ResourceSummary"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get all organization members with analytics.

> Returns a paginated, optionally filtered list of organization members and their analytics. Requires Owner role.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PaginationListModel.UserAnalyticsModel":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Models.UserAnalyticsModel"},"nullable":true},"totalCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.Projects.Core.Models.UserAnalyticsModel":{"required":["id","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"picture":{"type":"string","nullable":true},"roles":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.Role"},"nullable":true},"lastLogin":{"type":"string","format":"date-time","nullable":true},"loginsCount":{"type":"integer","format":"int32"},"createdAt":{"type":"string","format":"date-time","nullable":true},"flows":{"type":"integer","format":"int32"},"assistants":{"type":"integer","format":"int32"},"totalCredits":{"type":"number","format":"double"},"flowCredits":{"type":"number","format":"double"},"assistantCredits":{"type":"number","format":"double"},"ocrPageCount":{"type":"integer","format":"int32"},"layoutPageCount":{"type":"integer","format":"int32"},"pageCount":{"type":"integer","format":"int32"},"ocrCreditsCost":{"type":"number","format":"double"},"layoutCreditsCost":{"type":"number","format":"double"},"fileCreditsCost":{"type":"number","format":"double"}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.Role":{"required":["id","name"],"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/admin/users":{"get":{"tags":["Project Analytics"],"summary":"Get all organization members with analytics.","description":"Returns a paginated, optionally filtered list of organization members and their analytics. Requires Owner role.","parameters":[{"name":"searchText","in":"query","schema":{"type":"string"}},{"name":"pageNumber","in":"query","schema":{"type":"integer","format":"int32","default":1}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32","default":100}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/PaginationListModel.UserAnalyticsModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/PaginationListModel.UserAnalyticsModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/PaginationListModel.UserAnalyticsModel"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Export user analytics data for the organization.

> Exports the organization's user analytics as a downloadable Excel (.xlsx) file. Requires Owner role.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/admin/users/export":{"get":{"tags":["Project Analytics"],"summary":"Export user analytics data for the organization.","description":"Exports the organization's user analytics as a downloadable Excel (.xlsx) file. Requires Owner role.","responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"string","format":"binary"}},"application/json":{"schema":{"type":"string","format":"binary"}},"text/json":{"schema":{"type":"string","format":"binary"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.jylo.ai/api-reference/projects/project-analytics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
